%global shortname crypto-util

Name:           jenkins-crypto-util
Version:        1.1
Release:        2%{?dist}
Summary:        Jenkins crypto-util library

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-crypto-util
Source0:        https://github.com/jenkinsci/lib-%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)

BuildArch:      noarch

%description
This package provides utility wrapper around Java Crypto API.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package provides the API documentation for %{name}.


%prep
%setup -q -n lib-%{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really useful in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# tests are broken, "timestamp check failed" (looks like upstream problem)
# TODO - investigate more
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial package

